/* Función que, dado un entero n, calcule la suma
de los primeros n números de la serie Fibonacci.*/

#include <stdio.h>

int fibonacci(int n)
{
    int i, suma, a, b;

    if (n < 3)
    {

        suma = 1;
    }
    else
    {

        a = 0;
        b = 1;

        for (i = 0; i < n; i++)
        {
            suma = a + b;
            b = a;
            a = suma;
        }
    }

    return suma;
}

int main()
{
    int number;

    printf("Introduce un número entero positivo: ");
    scanf("%d", &number);

    printf("La suma de los %d primeros números de la serie Fibonacci es: %d\n", number, fibonacci(number));

    return 0;
}
